<?php

/* Unique options for every EP theme */

$admin_url = EPCL_PLUGIN_URL.'/functions/admin';

/* Advanced Settings */

Redux::setSection( $opt_name, array(
	'title' => esc_html__('Optimization', 'epcl_framework'),
	'icon' => 'el-icon-dashboard',
	'fields' => array(
		array(
			'id' => 'enable_optimization',
			'type' => 'switch',
            'title' => esc_html__('Enable Speed Optimization', 'epcl_framework'),
            'subtitle' => esc_html__('W3 Total Cache plugin recommended', 'epcl_framework'),
			'desc' => esc_html__('This will move the main theme styles to the footer. If you are not comfortable with website load (some jumps when loading), just disable this option.', 'epcl_framework'),
			'default' => false
        ),
        array(
			'id' => 'move_jquery_footer',
			'type' => 'switch',
            'title' => esc_html__('Move jQuery to Footer', 'epcl_framework'),
            'subtitle' => esc_html__('W3 Total Cache plugin recommended', 'epcl_framework'),
			'desc' => esc_html__('This will the main javascript framework to the footer and will increase Google Page Score. If you are experiencing any error on the console, just disable this option.', 'epcl_framework'),
			'default' => false
        ),
		array(
			'id' => 'enable_lazyload',
			'type' => 'switch',
			'title' => esc_html__('Enable Lazy Load (Lists)', 'epcl_framework'),
			'subtitle' => esc_html__('For loops: home pages, archives and categories.', 'epcl_framework'),
			'desc' => esc_html__('This will load your images when scrolling (this option can improve your website overall speed).'),
			'default' => false
        ),
        array(
			'id' => 'enable_lazyload_posts',
			'type' => 'switch',
			'title' => esc_html__('Enable Lazy Load (Post)', 'epcl_framework'),
			'subtitle' => esc_html__('For single post content.', 'epcl_framework'),
			'desc' => esc_html__('This will load your images when scrolling only for articles content.'),
			'default' => false
        ),
        array(
			'id' => 'enable_lazyload_embed',
			'type' => 'switch',
			'title' => esc_html__('Enable Lazy Load (Embeds)', 'epcl_framework'),
			// 'subtitle' => esc_html__('For single post content.', 'epcl_framework'),
			'desc' => esc_html__('This will load your videos/embeds when scrolling only works for Vimeo/Youtube and iframes in general.'),
			'default' => false
        ),
        array(
			'id' => 'enable_lazyload_adsense',
			'type' => 'switch',
			'title' => esc_html__('Enable Lazy Load (Adsense)', 'epcl_framework'),
			'subtitle' => esc_html__('Beta feature use with caution.', 'epcl_framework'),
			'desc' => __('This will load your adsense blocks when scrolling.<br><b>Important:</b> don\'t include any kind of <br>&lt;script async src="//pagead2.googlesyndication.com/pagead/js/adsbygoogle.js"> tag to maximize your website speed.<br>This option will load that script dinamically.', 'epcl_framework'),
			'default' => false
		),
	)
) );

?>