<?php

global $epcl_theme;

// Only enabled when redux options is active, W3 total cache is installed and enable optimization is "on"

add_action ( 'wp_head', 'epcl_generate_header_styles' );
function epcl_generate_header_styles(){
    global $epcl_theme;
    if( empty($epcl_theme) ) return;
    if( $epcl_theme['enable_optimization'] || defined('W3TC') ):
?>
     <style id="epcl-theme-critical-css"><?php get_template_part('partials/critical-css'); ?></style>
<?php
    endif;
    if( $epcl_theme['enable_optimization'] || defined('W3TC') ){
        $custom_css = epcl_generate_custom_styles();
        echo '<style id="epcl-theme-header-css">'.$custom_css.'</style>';
    }
}

function epcl_style_loader_tag($tag){
    global $epcl_theme;

    if( empty($epcl_theme) || is_admin() ||  ( !$epcl_theme['enable_optimization'] && !defined('W3TC') ) ) return $tag;

    if( $epcl_theme['enable_optimization'] || defined('W3TC') ){
    
        $tag = preg_replace("/rel='stylesheet' id='epcl-google-fonts-css'/", "rel='preload' id='epcl-google-fonts-css' as='style' onload=\"this.rel='stylesheet'\"", $tag);
        
        $tag = preg_replace("/rel='stylesheet' id='epcl-theme-css'/", "rel='preload' id='epcl-theme-css' as='style' onload=\"this.rel='stylesheet'\"", $tag);
        
        $tag = preg_replace("/rel='stylesheet' id='epcl-plugins-css'/", "rel='preload' id='epcl-plugins-css' as='style' onload=\"this.rel='stylesheet'\"", $tag);

        $tag = preg_replace("/rel='stylesheet' id='epcl-shortcodes-css'/", "rel='preload' id='epcl-shortcodes-css' as='style' onload=\"this.rel='stylesheet'\"", $tag);

        return $tag;
    }
}

// Only enabled when redux options is active

add_action ( 'wp_head', 'epcl_generate_header_codes', 1 );
function epcl_generate_header_codes(){
    global $epcl_theme;
    if( empty($epcl_theme) ) return;

    if( $epcl_theme['custom_scripts'] ){
        echo $epcl_theme['custom_scripts'];
    }
}

add_action ( 'wp_footer', 'epcl_generate_footer_codes', 100 );
function epcl_generate_footer_codes(){
    global $epcl_theme;
    if( empty($epcl_theme) ) return;

    if( $epcl_theme['custom_scripts_footer'] ){
        echo $epcl_theme['custom_scripts_footer'];
    }
    // if( !$epcl_theme['enable_optimization'] && defined('W3TC') ){
    //     $custom_css = epcl_generate_custom_styles();
    //     echo '<style id="epcl-theme-header-css">'.$custom_css.'</style>';
    // }
}

function custom_admin_js() {
    $url = get_bloginfo('template_directory') . '/js/wp-admin.js';
 ?>
 <script type="text/javascript">
    $(window).load(function(){
        $('#post-format-selector-0').on('change', function(){
            var $el = $('#post-format-selector-0').val();
        });
        
    });

 </script>
 <?php
}
add_action('admin_footer', 'custom_admin_js', 9999);

?>