<?php

$prefix = EPCL_THEMEPREFIX.'_';
$prefix_key = 'epcl_home_';

// Registered Sidebars
$sidebars = $GLOBALS['wp_registered_sidebars'];
$sidebar_list = array();
foreach($sidebars as $sidebar){
	if($sidebar['id'] != 'epcl_sidebar_footer')
		$sidebar_list[$sidebar['id']] = $sidebar['name'];
}

// Posts
acf_add_local_field_group( array(
	'key' => 'epcl_home',
	'title' => esc_html__('General Information', 'epcl_framework'),
	'fields' => array (
		array(
			'key' => $prefix_key.'modules',
			'name' => 'modules',
			'label' => 'Modules',
			'type' => 'flexible_content',
			'instructions' => esc_html__('Add different kinds of layouts.', 'epcl_framework'),
			'required' => true,
			'layouts' => array(
                // Grid Posts
				'module_grid_posts' => array(
					'key' => $prefix_key.'module_grid_posts',
					'name' => 'grid_posts',
					'label' => esc_html__('Grid Posts', 'epcl_framework'),
					'display' => 'row',
					'max' => 1,
					'sub_fields' => array(
						array (
							'key' => $prefix_key.'enable_counter',
							'name' => 'enable_counter',
							'label' => esc_html__('Enable Title and Counter', 'epcl_framework'),
							// 'instructions' => esc_html__('Use a different sidebar for this post.', 'epcl_framework'),
							'type' => 'true_false',
							'ui' => true,
							'default_value' => true,
						),
						array (
							'key' => $prefix_key.'enable_filters',
							'name' => 'enable_filters',
							'label' => esc_html__('Enable Filters', 'epcl_framework'),
							// 'instructions' => esc_html__('Use a different sidebar for this post.', 'epcl_framework'),
							'type' => 'true_false',
							'ui' => true,
							'default_value' => true,
						),
						array(
							'key' => $prefix_key.'grid_posts_column',
							'name' => 'grid_posts_column',
							'label' => esc_html__('Number of Columns', 'epcl_framework'),
							'type' => 'number',
							'instructions' => '',
							'min' => '2',
							'max' => '3',
							'step' => '1',
							'default_value' => '3',
						),
						array(
							'key' => $prefix_key.'grid_category',
							'name' => 'grid_category',
							'label' => esc_html__('Featured Categories', 'epcl_framework'),
							'type' => 'taxonomy',
							'instructions' => esc_html__('(Optional) select only post from these categories.', 'epcl_framework'),
							'taxonomy' => 'category',
							'field_type' => 'multi_select',
							'return_format' => 'id',
							'multiple' => 0,
							'allow_null' => true,
							'add_term' => false
						),
					),
                ),
				// Grid with Sidebar
				'module_grid_sidebar' => array(
					'key' => $prefix_key.'module_grid_sidebar',
					'name' => 'grid_sidebar',
					'label' => esc_html__('Grid Posts with Sidebar', 'epcl_framework'),
					'display' => 'row',
					'max' => 1,
					'sub_fields' => array(
						array (
							'key' => $prefix_key.'enable_counter_grid',
							'name' => 'enable_counter',
							'label' => esc_html__('Enable Title and Counter', 'epcl_framework'),
							// 'instructions' => esc_html__('Use a different sidebar for this post.', 'epcl_framework'),
							'type' => 'true_false',
							'ui' => true,
							'default_value' => true,
						),
						array (
							'key' => $prefix_key.'enable_filters_grid',
							'name' => 'enable_filters',
							'label' => esc_html__('Enable Filters', 'epcl_framework'),
							// 'instructions' => esc_html__('Use a different sidebar for this post.', 'epcl_framework'),
							'type' => 'true_false',
							'ui' => true,
							'default_value' => true,
						),
						array(
							'key' => $prefix_key.'grid_sidebar_category',
							'name' => 'grid_sidebar_category',
							'label' => esc_html__('Featured Categories', 'epcl_framework'),
							'type' => 'taxonomy',
							'instructions' => esc_html__('(Optional) select only post from these categories.', 'epcl_framework'),
							'taxonomy' => 'category',
							'field_type' => 'multi_select',
							'return_format' => 'id',
							'multiple' => 0,
							'allow_null' => true,
							'add_term' => false
						),
						array (
							'key' => $prefix_key.'sidebar',
							'name' => 'sidebar',
							'label' => esc_html__('Sidebar (optional)', 'epcl_framework'),
							'instructions' => esc_html__('Use a different sidebar for this module.', 'epcl_framework'),
							'type' => 'select',
							'choices' => $sidebar_list,
							'ui' => true,
							'default_value' => 'epcl_sidebar_home'
						),
					),
				),
                 // Classic Posts
				'module_classic_posts' => array(
					'key' => $prefix_key.'module_classic_posts',
					'name' => 'classic_posts',
					'label' => esc_html__('Classic Posts', 'epcl_framework'),
					'display' => 'row',
					'max' => 1,
					'sub_fields' => array(
						array (
							'key' => $prefix_key.'enable_counter_classic',
							'name' => 'enable_counter',
							'label' => esc_html__('Enable Title and Counter', 'epcl_framework'),
							// 'instructions' => esc_html__('Use a different sidebar for this post.', 'epcl_framework'),
							'type' => 'true_false',
							'ui' => true,
							'default_value' => true,
						),
						array (
							'key' => $prefix_key.'enable_filters_classic',
							'name' => 'enable_filters',
							'label' => esc_html__('Enable Filters', 'epcl_framework'),
							// 'instructions' => esc_html__('Use a different sidebar for this post.', 'epcl_framework'),
							'type' => 'true_false',
							'ui' => true,
							'default_value' => true,
						),
						array(
							'key' => $prefix_key.'classic_category',
							'name' => 'classic_category',
							'label' => esc_html__('Featured Categories', 'epcl_framework'),
							'type' => 'taxonomy',
							'instructions' => esc_html__('(Optional) select only post from these categories.', 'epcl_framework'),
							'taxonomy' => 'category',
							'field_type' => 'multi_select',
							'return_format' => 'id',
							'multiple' => 0,
							'allow_null' => true,
							'add_term' => false
						),
						array (
							'key' => $prefix_key.'classic_sidebar',
							'name' => 'sidebar',
							'label' => esc_html__('Sidebar (optional)', 'epcl_framework'),
							'instructions' => esc_html__('Use a different sidebar for this module.', 'epcl_framework'),
							'type' => 'select',
							'choices' => $sidebar_list,
							'ui' => true,
							'default_value' => 'epcl_sidebar_home',
						),
					),
                ),
                // Carousel
				'module_carousel' => array(
					'key' => $prefix_key.'module_carousel',
					'name' => 'carousel',
					'label' => esc_html__('Posts Carousel', 'epcl_framework'),
					'display' => 'row',
					'sub_fields' => array(
						array(
							'key' => $prefix_key.'carousel_category',
							'name' => 'carousel_category',
							'label' => esc_html__('Featured Categories', 'epcl_framework'),
							'type' => 'taxonomy',
							'instructions' => esc_html__('(Optional) select only post from these categories.', 'epcl_framework'),
							'taxonomy' => 'category',
							'field_type' => 'multi_select',
							'return_format' => 'id',
							'multiple' => 0,
							'allow_null' => true
						),
						array(
							'key' => $prefix_key.'carousel_limit',
							'name' => 'carousel_limit',
							'label' => esc_html__('Posts Limit', 'epcl_framework'),
							'type' => 'number',
							'instructions' => esc_html__('Max number of posts to retrieve.', 'epcl_framework'),
							'min' => '3',
							'max' => '99',
							'step' => '1',
							'default_value' => '9',
						),
						array(
							'key' => $prefix_key.'carousel_show_limit',
							'name' => 'carousel_show_limit',
							'label' => esc_html__('Visible Items', 'epcl_framework'),
							'type' => 'number',
							'instructions' => esc_html__('Number of visible elements, recommended: 3', 'epcl_framework'),
							'min' => '2',
							'max' => '6',
							'step' => '1',
							'default_value' => '5',
                        ),
                        array (
							'key' => $prefix_key.'carousel_enable_author',
							'name' => 'carousel_enable_author',
							'label' => esc_html__('Enable Author', 'epcl_framework'),
							// 'instructions' => esc_html__('This option is useful if you want a totally separated module.', 'epcl_framework'),
							'type' => 'true_false',
							'ui' => true,
							'default_value' => true,
						),
					)
                ),
                // Advertising
				'module_advertising' => array(
					'key' => $prefix_key.'module_advertising',
					'name' => 'advertising',
					'label' => esc_html__('Advertising', 'epcl_framework'),
					'display' => 'row',
					'sub_fields' => array(
						array (
							'key' => $prefix_key.'advertising_type',
							'name' => 'advertising_type',
							'label' => esc_html__('Advertising Type', 'epcl_framework'),
							// 'instructions' => esc_html__('How the featured image should look like.', 'epcl_framework'),
							'type' => 'button_group',
							'choices' => array(
								'image' => esc_html__('Image', 'epcl_framework'),
								'code' => esc_html__('External Code', 'epcl_framework'),
							),
							'layout' => 'horizontal',
							'default_value' => 'image',
						),
						array (
							'key' => $prefix_key.'advertising_image',
							'name' => 'advertising_image',
							'label' => esc_html__('Image', 'epcl_framework'),
							'type' => 'image',
							'instructions' => esc_html__('Recommended size: 728x90', 'epcl_framework'),
							'return_format' => 'array',
							'preview_size' => 'medium',
							'library' => 'all',
							'conditional_logic' => array (
								array (
									array (
									'field' => $prefix_key.'advertising_type',
									'operator' => '==',
									'value' => 'image',
									),
								),
							)
						),
						array (
							'key' => $prefix_key.'advertising_url',
							'name' => 'advertising_url',
							'label' => esc_html__('URL', 'epcl_framework'),
							'type' => 'url',
							'instructions' => esc_html__('Where the user will be redirected on click.', 'epcl_framework'),
							'conditional_logic' => array (
								array (
									array (
									'field' => $prefix_key.'advertising_type',
									'operator' => '==',
									'value' => 'image',
									),
								),
							)
						),
						array (
							'key' => $prefix_key.'advertising_code',
							'name' => 'advertising_code',
							'label' => esc_html__('Advertising Code', 'epcl_framework'),
							'instructions' => esc_html__('Add custom code for your banner for example Google Ads', 'epcl_framework'),
							'type' => 'textarea',
							'default_value' => '',
							'conditional_logic' => array (
								array (
									array (
									'field' => $prefix_key.'advertising_type',
									'operator' => '==',
									'value' => 'code',
									),
								),
							)
						),
					),
                ),
                // Text editor
				'module_text_editor' => array(
					'key' => $prefix_key.'module_text_editor',
					'name' => 'text_editor',
					'label' => esc_html__('Text Editor', 'epcl_framework'),
					'display' => 'row',
					'sub_fields' => array(
                        array (
							'key' => $prefix_key.'enable_editor_background',
							'name' => 'enable_editor_background',
							'label' => esc_html__('Enable Background', 'epcl_framework'),
							'instructions' => esc_html__('This option is useful if you want a totally separated module.', 'epcl_framework'),
							'type' => 'true_false',
							'ui' => true,
							'default_value' => true,
						),
						array(
							'key' => $prefix_key.'text_editor_content',
							'name' => 'text_editor_content',
							'label' => esc_html__('Add your description', 'epcl_framework'),
							'instructions' => esc_html__('Shortcodes are allowed.', 'epcl_framework'),
                            'type' => 'wysiwyg',
                            'media_upload' => true,
                            'toolbar' => 'full',	
						),
					),
                ),
			)
		)
	),
	'menu_order' => 3,
	'label_placement' => 'left',
	'instruction_placement' => 'label',
	'location' => array (
		array (
			array (
				'param' => 'page_template',
				'operator' => '==',
				'value' => 'page-templates/home.php',
			),
		),
	)
));


?>
